## Sprinting Snowmen: Main

effect give @a weakness 999999 255 true
effect give @a resistance 999999 255 true

execute as @a[tag=snowy_business.snowman] at @s if entity @s[y=40,dx=10] as @p[tag=!snowy_business.snowman,scores={death=0},gamemode=adventure] at @s run function game:snowy_business/become_snowman
execute as @a[scores={death=0},tag=!snowy_business.snowman,advancements={game:snowy_business/hit_snowman=true}] at @s run function game:snowy_business/become_snowman
advancement revoke @a only game:snowy_business/hit_snowman

execute as @a[tag=snowy_business.snowman,limit=1] at @s run tp @e[type=snow_golem,tag=snowy_business.golem,limit=1,sort=nearest] @s
effect give @a[tag=snowy_business.snowman] invisibility 999999 255 true

execute unless entity @a[tag=snowy_business.lead,limit=1] run function game:snowy_business/get_lead
scoreboard players remove snowballSpeed const 1
execute if score snowballSpeed const matches 0 run give @a[scores={death=0},tag=snowy_business.snowman] quartz{GameItem:1b,display:{Name:'{"text":"Snowball","color":"yellow","italic":false}'}}
execute if score snowballSpeed const matches 0 run scoreboard players add @a[scores={death=0},tag=snowy_business.snowman] snowy_business 1
execute if score snowballSpeed const matches 0 as @a[tag=snowy_business.snowman,tag=!snowy_business.lead] if score @s snowy_business > @a[tag=snowy_business.lead,limit=1] snowy_business run function game:snowy_business/new_lead
execute if score snowballSpeed const matches 0 run scoreboard players set snowballSpeed const 20

execute if score snowmanGlow const matches 0..200 run scoreboard players add snowmanGlow const 1
execute if score snowmanGlow const matches 200 run data modify entity @e[type=snow_golem,tag=snowy_business.golem,limit=1] Glowing set value 1b

clear @a[tag=!snowy_business.snowman,scores={death=0},nbt=!{Inventory:[{id:"minecraft:bow"}]}] bow
give @a[scores={death=0},tag=!snowy_business.snowman,nbt=!{Inventory:[{id:"minecraft:bow"}]}] bow{GameItem:1b,Unbreakable:1b,Enchantments:[{id:"protection",lvl:1s}],HideFlags:63,display:{Name:'{"text":"Business Tool","italic":false,"color":"aqua"}',Lore:['{"text":"Shoot that snowman!","color":"yellow","italic":false}']}}
clear @a[tag=!snowy_business.snowman,scores={death=0},nbt=!{Inventory:[{id:"minecraft:arrow"}]}] arrow
replaceitem entity @a[scores={death=0},tag=!snowy_business.snowman,nbt=!{Inventory:[{id:"minecraft:arrow"}]}] inventory.0 arrow{GameItem:1b,Enchantments:[{id:"protection",lvl:1s}],HideFlags:63,display:{Name:'{"text":"Arrow","italic":false,"color":"aqua"}'}}

kill @e[type=item]
kill @e[type=arrow,nbt={inGround:1b}]


execute if score gameTime gameData matches 600 run tellraw @a [{"text":"- ","color":"white"},{"text":"1 minutes left!","color":"yellow"}]
execute if score gameTime gameData matches 1200 run tellraw @a [{"text":"- ","color":"white"},{"text":"30 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1600 run tellraw @a [{"text":"- ","color":"white"},{"text":"10 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1740 run tellraw @a [{"text":"- ","color":"white"},{"text":"3 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1760 run tellraw @a [{"text":"- ","color":"white"},{"text":"2 seconds left!","color":"yellow"}]
execute if score gameTime gameData matches 1780 run tellraw @a [{"text":"- ","color":"white"},{"text":"1 second left!","color":"yellow"}]

execute if score gameTime gameData matches 600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1200 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1740 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1760 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1780 run playsound block.note_block.hat voice @a ~ ~ ~ 10000


# End Round
scoreboard players add gameTime gameData 1
execute if score gameTime gameData matches 1800 as @a[scores={death=0},tag=!snowy_business.lead] at @s run function other:fake_death
execute if score gameTime gameData matches 1800 run tellraw @a [{"text":"- ","color":"white"},{"selector":"@a[tag=snowy_business.lead,limit=1]","color":"aqua"},{"text":" won the round and earned ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"aqua"},{"text":" points!","color":"yellow"}]
execute if score gameTime gameData matches 1800 run title @a times 0 80 20
execute if score gameTime gameData matches 1800 run title @a title {"selector":"@a[tag=snowy_business.lead,limit=1]","color":"aqua","bold":true}
execute if score gameTime gameData matches 1800 run title @a subtitle [{"text":"won ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"yellow"},{"text":" points!","color":"yellow"}]
execute if score gameTime gameData matches 1800 run scoreboard players operation @a[tag=snowy_business.lead,limit=1] points += pointsReward const
execute if score gameTime gameData matches 1800 run scoreboard players set phase gameData 5